### Function

# Gck objects_from_handle_array

since: 2

#### Declaration [src]

    GList*
    gck_objects_from_handle_array (
      GckSession* session,
      gulong* object_handles,
      gulong n_object_handles
    )

#### Description [src]

Initialize a list of GckObject from raw PKCS#11 handles. The handles argument must contain contiguous CK_OBJECT_HANDLE handles in an array.

Available since: 2

#### Parameters

`session`

  Type: `GckSession`

  The session for these objects.

  The data is owned by the caller of the function.

`object_handles`

  Type: An array of `gulong`

  The raw object handles.

  The length of the array is specified in the `n_object_handles` argument.
  The data is owned by the caller of the function.

`n_object_handles`

  Type: `gulong`

  The number of raw object handles.

#### Return value

Type: A list of `GckObject*`

The list of `GckObject` objects.

The caller of the function takes ownership of the data, and is responsible for freeing it.